name: array
version: 0.5.1.0
id: array-0.5.1.0-960bf9ae8875cc30355e086f8853a049
key: array_67iodizgJQIIxYVTp4emlA
license: BSD3
maintainer: libraries@haskell.org
synopsis: Mutable and immutable arrays
description:
    In addition to providing the "Data.Array" module
    <http://www.haskell.org/onlinereport/haskell2010/haskellch14.html as specified in the Haskell 2010 Language Report>,
    this package also defines the classes 'IArray' of
    immutable arrays and 'MArray' of arrays mutable within appropriate
    monads, as well as some instances of these classes.
category: Data Structures
exposed: True
exposed-modules:
    Data.Array Data.Array.Base Data.Array.IArray Data.Array.IO
    Data.Array.IO.Safe Data.Array.IO.Internals Data.Array.MArray
    Data.Array.MArray.Safe Data.Array.ST Data.Array.ST.Safe
    Data.Array.Storable Data.Array.Storable.Safe
    Data.Array.Storable.Internals Data.Array.Unboxed Data.Array.Unsafe
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/array_67iodizgJQIIxYVTp4emlA
library-dirs: /usr/lib/ghc-7.10.3/array_67iodizgJQIIxYVTp4emlA
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/array-0.5.1.0
hs-libraries: HSarray-0.5.1.0-67iodizgJQIIxYVTp4emlA
depends:
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
haddock-interfaces: /usr/share/doc/ghc/html/libraries/array-0.5.1.0/array.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/array-0.5.1.0
